Bug 1408852 - Review Request: tinydir - Portable and easy to integrate C directory and file reader
Summary: Review Request: tinydir - Portable and easy to integrate C directory and file...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-27 19:17 UTC by Björn 'besser82' Esser
Modified: 2017-01-07 00:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-06 20:21:29 UTC
dev: fedora-review+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2016-12-27 19:17:59 UTC
Description:

  Lightweight, portable and easy to integrate C directory and file reader.
  TinyDir wraps dirent for POSIX and FindFirstFile for Windows.


Koji Build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=17084729


Issues:

   No issues spotted, but some false positives about spelling.


FAS-User:

  besser82


Urls:

  Spec URL:  https://besser82.fedorapeople.org/review/tinydir.spec
  SRPM URL:  https://besser82.fedorapeople.org/review/tinydir-1.2-0.1.git20161112.683d230.fc26.src.rpm


Thanks for review in advance!

Comment 1 Florian "der-flo" Lehner 2016-12-27 19:54:03 UTC
This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "BSD (2 clause)", "Unknown or generated", "*No
     copyright* Apache (v2.0)". 18 files have unknown license. Detailed
     output of licensecheck in
     /home/flo/review/1408852-tinydir/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/doc/tinydir-
     devel/samples(this, [y/N]:, Is, ok), /usr/share/licenses/tinydir-
     devel(this, [y/N]:, Is, ok), /usr/share/doc/tinydir-devel(this,
     [y/N]:, Is, ok)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tinydir-devel-1.2-0.1.git20161112.683d230.fc25.noarch.rpm
          tinydir-1.2-0.1.git20161112.683d230.fc25.src.rpm
tinydir-devel.noarch: W: spelling-error %description -l en_US dirent -> direst, direct, entire
tinydir.src: W: spelling-error %description -l en_US dirent -> direst, direct, entire
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
tinydir-devel.noarch: W: spelling-error %description -l en_US dirent -> direst, direct, entire
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
tinydir-devel (rpmlib, GLIBC filtered):



Provides
--------
tinydir-devel:
    tinydir-devel
    tinydir-static



Source checksums
----------------
https://github.com/cxong/tinydir/archive/683d23031b42e29ec67590f93cc9b44630446311.tar.gz#/tinydir-1.2-git20161112-683d230.tar.gz :
  CHECKSUM(SHA256) this package     : 6a4e3a5474674282ef38155876a9ab020cfe53485c708744a4af1d72b076ba69
  CHECKSUM(SHA256) upstream package : 6a4e3a5474674282ef38155876a9ab020cfe53485c708744a4af1d72b076ba69


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1408852
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

=========================================================

PACKAGE APPROVED.

Comment 2 Björn 'besser82' Esser 2016-12-27 19:59:50 UTC
Thanks for the quick review, Florian!  =)

Comment 3 Gwyn Ciesla 2016-12-27 22:25:40 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/tinydir

Comment 4 Fedora Update System 2016-12-27 22:46:55 UTC
tinydir-1.2-0.3.git20161112.683d230.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e0bd9446c7

Comment 5 Fedora Update System 2016-12-27 22:47:02 UTC
tinydir-1.2-0.3.git20161112.683d230.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-baef5eccdd

Comment 6 Fedora Update System 2016-12-27 22:47:06 UTC
tinydir-1.2-0.3.git20161112.683d230.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3d385f8b20

Comment 7 Fedora Update System 2016-12-27 22:47:11 UTC
tinydir-1.2-0.3.git20161112.683d230.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c633c943b1

Comment 8 Fedora Update System 2016-12-28 22:17:20 UTC
tinydir-1.2.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3d385f8b20

Comment 9 Fedora Update System 2016-12-28 22:49:59 UTC
tinydir-1.2.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e0bd9446c7

Comment 10 Fedora Update System 2016-12-29 00:19:45 UTC
tinydir-1.2.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c633c943b1

Comment 11 Fedora Update System 2016-12-29 00:49:59 UTC
tinydir-1.2.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-baef5eccdd

Comment 12 Fedora Update System 2017-01-06 20:21:29 UTC
tinydir-1.2.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-01-06 21:49:49 UTC
tinydir-1.2.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-01-07 00:19:20 UTC
tinydir-1.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-01-07 00:22:00 UTC
tinydir-1.2.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.